%global fontname        rbjornera-victor-mono
%global fontconf        64-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.2.7
Release:        1%{?dist}
Summary:        Monospaced font with programming ligatures

License:        OFL
URL:            https://rubjo.github.io/victor-mono/
Source0:        https://github.com/rubjo/victor-mono/raw/v%{version}/public/VictorMonoAll.zip
Source1:        %{fontconf}

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Victor Mono is a free programming font with semi-connected cursive italics,
symbol ligatures and Latin, Cyrillic and Greek characters.

It was drawn from scratch as a pet project / experiment because there just
wasn't any free or paid font that I found both readable, effective and elegant.

The typeface is clean, crisp and narrow, with a large x-height and clear
punctuation, making it legible and ideal for code. It comes in seven weights,
and is available in Roman, Italic and Oblique styles.

%prep
%setup -q -c -n %{fontname}-%{version}
cp -p %{SOURCE1} .

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p OTF/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
  %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%_font_pkg -f %{fontconf} *.otf

%doc LICENSE.txt

%changelog
* Wed Oct 23 2019 Olivier Samyn 🎻 <code@oleastre.be> - 1.2.7-1
- New upstream version

* Sat Sep 21 2019 Olivier Samyn 🎻 <code@oleastre.be> - 1.2.6-1
- Initial RPM
